% Ukazka prace se seznamy a nekolik veselych komentaru,
% abyste se v tom vyznali i vecer pred zkouskou. 
% rohlik@kiv.zcu.cz


% Prirazovat seznamy je drsny: 
seznam([1, 2, 3]).
pikacu1 :- write([1, 2, 3, 4, 5]).
pikacu2 :- seznam(X), write(X).


% Vzpomenme na prednasku:
member(H, [H|T]).
member(X, [H|T]):-member(X, T).


% A jeste jedna trpka vzpominka:
append([], X, X).
append([H|X], Y, [H|Z]) :- append(X, Y, Z).

% Vyzkousejte v listeneru nasledujici dotazy:						
% ?- append([1,2,3],[4,5,6],LIST).
% ?- append(L1,L2,[1,2,3,4,5]).


% Upovidanejsi verze predikatru append (funkcne vsak naprosto shodna):
append2([], X, X) :- write('Zabralo prvni pravidlo'), nl.
append2([H|X], Y, [H|Z]) :- write('H je '), write(H), write('   '), write(X), write(Y), write(Z), nl, append2(X, Y, Z), write(X), write(Y), write(Z), nl.

% Vyzkousejte v listeneru nasledujici dotaz:
% ?- append2([1,2,3],[4,5,6],LIST).


