% Toto je soubor, na kterem lze demonstrovat hledani cesty orientovanym grafem
% L.P. 2002 (dlouho po pulnoci) vyrobil a veselymi komentari opatril rohlik@kiv.zcu.cz
% 
% Vsimete si mj. stabni kultury a sve programy piste podle tohoto vzoru



% definice grafu
hrana(1, 4).
hrana(1, 5).
hrana(2, 1).
hrana(2, 4).
hrana(3, 1).
hrana(3, 2).
hrana(3, 4).
hrana(4, 5).


% rekurzivni definice, posloupnost prochazenych uzlu se uklada do seznamu
cesta(X,Y,[X,Y]) :- hrana(X,Y).
cesta(X,Y,[X|T]) :- hrana(X,Z), cesta(Z,Y,T).


% pouziti predikatu FINDALL a vypis seznamu s X, pro ktere je splnen predikat cesta(2, 5, X)
fa1 :- findall(X, cesta(2, 5, X), LIST_OF_Xs), write(LIST_OF_Xs).

% jina moznost aneb jak "udelat to same" jinymi prostredky
fa2 :- cesta(2, 5, X), write(X), nl, fail.
fa2.
